package com.iformall.enums;

/**
 * Created by Stormeye on 2018/08/09.
 */
public enum EnumMenuType {
    CONTROL_TOWER(1, "数据塔台"),
    SHOP_MERCHANT(2, "商户商铺"),
    CONTRACT_MANAGER(3, "合同管理"),
    BILL_MANAGER(4, "账单管理"),
    MEM_SYSTEM(5, "会员系统"),
    SALE_SYSTEM(6, "营销系统"),
    ACCOUNT_MANAGER(7, "账号管理"),
    MOBILE_ADMIN(8, "移动端数据塔台"),
    HARDWARE(9, "智能硬件"),
    PAGE_MAIN(10, "首页"),
    ;

    public static EnumMenuType getEnum(Integer code) {
        for (EnumMenuType value : values()) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }

    private Integer code;
    private String message;

    EnumMenuType(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
